Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::WStringSeq Class Reference

`#include <StringSeqC.h>`

Inheritance diagram for CORBA::WStringSeq:

[legend]
Collaboration diagram for CORBA::WStringSeq:

[legend]
List of all members.

## Public Types
typedef WStringSeq_var | _var_type
## Public Methods
| WStringSeq (void)
| WStringSeq (CORBA::ULong max)
| WStringSeq (CORBA::ULong max, CORBA::ULong length, CORBA::WChar **buffer, CORBA::Boolean release=0)
| WStringSeq (const WStringSeq &)
| ~WStringSeq (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef WStringSeq_var CORBA::WStringSeq::_var_type

## Constructor & Destructor Documentation

CORBA::WStringSeq::WStringSeq | ( | void |  | ) |

CORBA::WStringSeq::WStringSeq | ( | CORBA::ULong | max | ) |

CORBA::WStringSeq::WStringSeq | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::WChar ** | buffer,
|  | CORBA::Boolean | release = 0
| ) |

CORBA::WStringSeq::WStringSeq | ( | const WStringSeq & |  | ) |

CORBA::WStringSeq::~WStringSeq | ( | void |  | ) |

## Member Function Documentation

void CORBA::WStringSeq::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from TAO_Unbounded_WString_Sequence.

The documentation for this class was generated from the following files:

- StringSeqC.h
- StringSeqC.cpp